import { Link } from 'react-router-dom';
import { useLanguage } from '../context/LanguageContext';

function RegistrationSuccess() {
    const { t } = useLanguage();

    return (
        <div className="min-h-screen flex items-center justify-center px-4 relative">
            {/* Background elements */}
            <div className="absolute inset-0 pointer-events-none overflow-hidden">
                <div className="absolute top-1/4 left-1/4 w-64 h-64 bg-brand-purple/10 rounded-full blur-3xl transform -translate-x-1/2 -translate-y-1/2"></div>
                <div className="absolute bottom-1/4 right-1/4 w-64 h-64 bg-brand-pink/10 rounded-full blur-3xl transform translate-x-1/2 translate-y-1/2"></div>
            </div>

            <div className="w-full max-w-md">
                <div className="bg-white/80 backdrop-blur-sm shadow-xl rounded-3xl p-8 text-center">
                    <div className="w-16 h-16 bg-brand-purple/10 rounded-full flex items-center justify-center mx-auto">
                        <svg className="w-8 h-8 text-brand-purple" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                            <path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2} d="M5 13l4 4L19 7" />
                        </svg>
                    </div>
                    <h2 className="mt-6 text-2xl font-semibold text-gray-900">Check your email</h2>
                    <p className="mt-2 text-gray-600">
                        We've sent you a verification link to your email address. Please click the link to verify your account.
                    </p>
                    <div className="mt-8 space-y-4">
                        <p className="text-sm text-gray-500">
                            Didn't receive the email? Check your spam folder or
                        </p>
                        <button
                            className="text-brand-purple hover:text-brand-purple/80 text-sm font-medium"
                            onClick={() => window.location.reload()}
                        >
                            Click here to try again
                        </button>
                    </div>
                </div>
            </div>
        </div>
    );
}

export default RegistrationSuccess; 